<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=Nunito" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/habibmhamadi/multi-select-tag@2.0.1/dist/css/multi-select-tag.css">
    
    <!-- Scripts -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">

    <!-- CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link href="{{ asset('css/style.css') }}" rel="stylesheet">
    <link href="{{ asset('css/structure.css') }}" rel="stylesheet">
    @stack('css')

    <style>
        .submenu {
            display: none;
            margin-left: 20px; /* Indentación para submenús */
            padding-left: 10px;
            border-left: 2px solid #8d1b34; /* Línea para visualizar la subdivisión */
        }

        .submenu a {
            padding-left: 20px;
        }

        .submenu li {
            padding: 5px 0;
        }
    </style>
</head>
<body>
    <div id="app" class="flex min-h-screen">
        <aside id="default-sidebar" class="sidebar w-64 h-screen bg-gray-50 dark:bg-gray-800 transition-transform">
            <div class="sidebar-in h-full px-3 py-4 overflow-y-auto">
                <ul class="text-center space-y-2">
                    @auth
                        <li class="title-sidebar">
                            <a href="{{ route('home') }}" class="flex items-center p-1 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                <span><img src="{{ asset('images/innovalogo.png') }}" alt="" style="width: 100px"></span>
                                <span class="ms-0">Innova App</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{route('pesos.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                <div class="sidebar-box">
                                    <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> PESOS</button></span>
                                </div>
                            </a>
                            <a href="{{route('ingresos.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                <div class="sidebar-box">
                                    <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> INGRESOS</button></span>
                                </div>
                            </a>
                        </li>

                        <!-- Pestaña de Liquidaciones -->
                        <li class="sidebar-item">
                            <a href="#" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group" id="liquidaciones-toggle">
                                <div class="sidebar-box">
                                    <span class="ms-3 whitespace-nowrap">
                                        <button class="link-sidebar-btn">LIQUIDACIONES</button>
                                    </span>
                                </div>
                            </a>
                            <ul id="liquidaciones-menu" class="submenu">
                                <li>
                                    <a href="{{route('muestras.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> MUESTRAS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('clientes.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> CLIENTES</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('requerimientos.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> REQUERIMIENTOS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('adelantos.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> ADELANTOS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('resumens.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> RESUMEN ADEL.</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('liquidaciones.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> VALORIZACION</button></span>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </li>

                        <!-- Pestaña de Inventario -->
                        <li class="sidebar-item">
                            <a href="#" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group" id="inventario-toggle">
                                <div class="sidebar-box">
                                    <span class="ms-3 whitespace-nowrap">
                                        <button class="link-sidebar-btn"> INVENTARIO</button>
                                    </span>
                                </div>
                            </a>
                            <ul id="inventario-menu" class="submenu">
                                <li>
                                    <a href="{{route('acactivos.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> ACTIVOS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('accategorias.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> CATEGORÍAS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('areas.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> ÁREAS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('empleados.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> EMPLEADOS</button></span>
                                        </div>
                                    </a>
                                </li>
                                <li>
                                    <a href="{{route('posiciones.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                        <div class="sidebar-box">
                                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> POSICIONES</button></span>
                                        </div>
                                    </a>
                                </li>
                            </ul>
                        </li>

                        <!-- Usuarios -->
                        <li>
                            <a href="{{route('users.index')}}" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                <div class="sidebar-box">
                                    <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> USUARIOS</button></span>
                                </div>
                            </a>
                        </li>

                        <!-- Cerrar sesión -->
                        <li>
                            <a href="#" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group" onclick="confirmLogout(event);">
                                <div class="sidebar-box">
                                    <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> CERRAR SESIÓN</button></span>
                                </div>
                            </a>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                            </form>
                        </li>
                    @endauth

                    @if (!Auth::check())
                        <img src="{{ asset('images/innovalogo.png') }}" alt="" style="width:120px; height:100px; vertical-align:middle; margin-right:5px;">
                        <li class="innova-t">Innova App</li>
                    @endif
                </ul>
            </div>
        </aside>

        <main class="flex-1 p-4">
            <!-- Content here -->
            @yield('content')
        </main>
    </div>
<script>
function confirmLogout(event) {
    event.preventDefault(); // Previene la acción por defecto del enlace
    if (confirm('¿Estás seguro de que deseas cerrar sesión?')) {
        document.getElementById('logout-form').submit();
    }
}
</script>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdn.jsdelivr.net/gh/habibmhamadi/multi-select-tag@2.0.1/dist/js/multi-select-tag.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        $(document).ready(function() {
            function isRucOrDni(value) {
                return value.length === 8 || value.length === 11;
            }

            function buscarDocumento(url, inputId, datosId) {
                var inputValue = $(inputId).val();
                var tipoDocumento = inputValue.length === 8 ? 'dni' : 'ruc';

                $.ajax({
                    url: url,
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}',
                        documento: inputValue,
                        tipo_documento: tipoDocumento
                    },
                    success: function(response) {
                        console.log('API Response:', response);
                        if (tipoDocumento === 'dni') {
                            $(datosId).val(response.nombres + ' ' + response.apellidoPaterno + ' ' + response.apellidoMaterno);
                        } else {
                            $(datosId).val(response.razonSocial);
                        }

                        $(datosId).removeClass('is-invalid').addClass('is-valid');
                    },
                    error: function(xhr, status, error) {
                        console.log(xhr.responseText);
                        $(datosId).val('');
                        $(datosId).removeClass('is-valid').addClass('is-invalid');
                    }
                });
            }

            $('#buscar_cliente_btn').click(function() {
                buscarDocumento('{{ route('buscar.documento') }}', '#documento_cliente', '#datos_cliente');
            });

            $('#buscar_empresa_btn').click(function() {
                buscarDocumento('{{ route('buscar.documento') }}', '#ruc_empresa', '#razon_social');
            });
            $('#buscar_identificador_btn').click(function() {
                buscarDocumento('{{ route('buscar.documento') }}', '#identificador', '#nom_iden');
            })

            $('.documento-input').on('input', function() {
                var value = $(this).val();
                var isValid = isRucOrDni(value);

                $(this).toggleClass('is-valid', isValid);
                $(this).toggleClass('is-invalid', !isValid);
            });

            $('.datos-input').on('input', function() {
                var value = $(this).val();
                $(this).toggleClass('is-valid', value.trim().length > 0);
                $(this).toggleClass('is-invalid', value.trim().length === 0);
            });
        });
    </script>
    <!-- Script para manejar la visibilidad del menú -->
    <script>
        $(document).ready(function(){
            $('#liquidaciones-toggle').click(function(){
                $('#liquidaciones-menu').toggle();
            });
    
            $('#inventario-toggle').click(function(){
                $('#inventario-menu').toggle();
            });
        });
    </script>
    
    @stack('js')
</body>
</html>
