

<?php $__env->startSection('content'); ?>
<div class="container">
    <h1 class="text-center" style="font-size: 1.5rem;">LOTIZACIÓN DE INGRESOS</h1>
    <div class="outer-grid">
        <div class="grid">
            <?php for($i = 1; $i <= 64; $i++): ?>
                <?php
                    // Busca si hay un ingreso para este lote
                    $ingreso = $ingresos->firstWhere('lote', $i);
                ?>
                <div class="cell <?php echo e($ingreso ? 'filled' : 'empty'); ?>" 
                     data-toggle="modal" data-target="#infoModal" 
                     data-codigo="<?php echo e($ingreso->codigo ?? ''); ?>"
                     data-fecha="<?php echo e($ingreso->fecha_ingreso ?? ''); ?>"
                     data-identificador="<?php echo e($ingreso->identificador ?? ''); ?>"
                     data-nom_iden="<?php echo e($ingreso->nom_iden ?? ''); ?>"
                     data-ref_lote="<?php echo e($ingreso->ref_lote ?? ''); ?>"
                     data-peso_total="<?php echo e($ingreso->peso_total ?? ''); ?>"
                     data-estado="<?php echo e($ingreso->estado ?? ''); ?>"
                     data-nro_salida="<?php echo e($ingreso->NroSalida ?? ''); ?>"
                     data-procedencia="<?php echo e($ingreso->procedencia ?? ''); ?>"
                     data-deposito="<?php echo e($ingreso->deposito ?? ''); ?>"
                     data-balanza="<?php echo e($ingreso->balanza ?? ''); ?>"
                     data-placa="<?php echo e($ingreso->placa ?? ''); ?>"
                     data-tolva="<?php echo e($ingreso->tolva ?? ''); ?>"
                     data-guia_transporte="<?php echo e($ingreso->guia_transporte ?? ''); ?>"
                     data-guia_remision="<?php echo e($ingreso->guia_remision ?? ''); ?>"
                     data-muestreo="<?php echo e($ingreso->muestreo ?? ''); ?>"
                     data-preparacion="<?php echo e($ingreso->preparacion ?? ''); ?>"
                     data-req_analisis="<?php echo e($ingreso->req_analisis ?? ''); ?>"
                     data-descuento="<?php echo e($ingreso->descuento ?? ''); ?>"
                     data-fecha_salida="<?php echo e($ingreso->fecha_salida ?? ''); ?>"
                     data-retiro="<?php echo e($ingreso->retiro ?? ''); ?>"
                     data-pesoexterno="<?php echo e($ingreso->pesoexterno ?? ''); ?>"
                     data-lote="<?php echo e($ingreso->lote ?? ''); ?>"
                     data-descripcion="<?php echo e($ingreso->descripcion ?? ''); ?>">
                    <div class="info">
                        <?php if($ingreso): ?>
                            <p><?php echo e($ingreso->codigo); ?> - Lote: <?php echo e($ingreso->ref_lote); ?></p>
                        <?php else: ?>
                            <p style="font-weight: bold; font-size: 14px;"><?php echo e($i); ?></p>
                        <?php endif; ?>
                    </div>
                </div>
            <?php endfor; ?>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="infoModal" tabindex="-1" aria-labelledby="infoModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg"> <!-- Clase de Bootstrap para mayor ancho -->
        <div class="modal-content">
            <div class="modal-header" style="background-color: #102c44; color: white;">
                <h5 class="modal-title" id="infoModalLabel">INFORMACION DEL REGISTRO</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close" style="color: white;">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-3">
                        <p><strong>Código:</strong> <span id="modalCodigo"></span></p>
                        <p><strong>Fecha:</strong> <span id="modalFecha"></span></p>
                        <p><strong>Identificador:</strong> <span id="modalIdentificador"></span></p>
                        <p><strong>Nombre/Razón Social:</strong> <span id="modalNomIden"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Referencia Lote:</strong> <span id="modalRefLote"></span></p>
                        <p><strong>Peso Total:</strong> <span id="modalPesoTotal"></span></p>
                        <p><strong>Estado:</strong> <span id="modalEstado"></span></p>
                        <p><strong>Número de Ticket:</strong> <span id="modalNroSalida"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Procedencia:</strong> <span id="modalProcedencia"></span></p>
                        <p><strong>Deposito:</strong> <span id="modalDeposito"></span></p>
                        <p><strong>Balanza:</strong> <span id="modalBalanza"></span></p>
                        <p><strong>Placa:</strong> <span id="modalPlaca"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Tolva:</strong> <span id="modalTolva"></span></p>
                        <p><strong>Guía de Transporte:</strong> <span id="modalGuiaTransporte"></span></p>
                        <p><strong>Guía de Remisión:</strong> <span id="modalGuiaRemision"></span></p>
                        <p><strong>Muestreo:</strong> <span id="modalMuestreo"></span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <p><strong>Preparación:</strong> <span id="modalPreparacion"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Requerimiento de Análisis:</strong> <span id="modalReqAnalisis"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Descuento:</strong> <span id="modalDescuento"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Fecha de Salida:</strong> <span id="modalFechaSalida"></span></p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <p><strong>Retiro:</strong> <span id="modalRetiro"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Peso Externo:</strong> <span id="modalPesoExterno"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Lote:</strong> <span id="modalLote"></span></p>
                    </div>
                    <div class="col-md-3">
                        <p><strong>Descripcion:</strong> <span id="modalDescripcion"></span></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .outer-grid {
        display: flex;
        justify-content: center;
        margin-top: 20px;
    }
    .grid {
        display: grid;
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: repeat(8, 1fr);
        gap: 5px;
        width: 640px;
        height: 640px;
    }
    .cell {
        display: flex;
        align-items: center;
        justify-content: center;
        border: 1px solid #ccc;
        border-radius: 4px;
        color: black;
        text-align: center;
        font-size: 12px;
        overflow: hidden;
        cursor: pointer;
    }
    .filled {
        background-color: #39ff14; /* Para registros llenos */
    }
    .empty {
        background-color: #e61919; /* Para registros vacíos */
    }
</style>    

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script>
    $(document).ready(function() {
        $('.cell').on('click', function() {
            const codigo = $(this).data('codigo');
            const fecha = $(this).data('fecha');
            const identificador = $(this).data('identificador');
            const nomIden = $(this).data('nom_iden');
            const refLote = $(this).data('ref_lote');
            const pesoTotal = $(this).data('peso_total');
            const estado = $(this).data('estado');
            const nroSalida = $(this).data('nro_salida');
            const procedencia = $(this).data('procedencia');
            const deposito = $(this).data('deposito');
            const balanza = $(this).data('balanza');
            const placa = $(this).data('placa');
            const tolva = $(this).data('tolva');
            const guiaTransporte = $(this).data('guia_transporte');
            const guiaRemision = $(this).data('guia_remision');
            const muestreo = $(this).data('muestreo');
            const preparacion = $(this).data('preparacion');
            const reqAnalisis = $(this).data('req_analisis');
            const descuento = $(this).data('descuento');
            const fechaSalida = $(this).data('fecha_salida');
            const retiro = $(this).data('retiro');
            const pesoExterno = $(this).data('pesoexterno');
            const lote = $(this).data('lote');
            const descripcion = $(this).data('descripcion');

            $('#modalCodigo').text(codigo);
            $('#modalFecha').text(fecha);
            $('#modalIdentificador').text(identificador);
            $('#modalNomIden').text(nomIden);
            $('#modalRefLote').text(refLote);
            $('#modalPesoTotal').text(pesoTotal);
            $('#modalEstado').text(estado);
            $('#modalNroSalida').text(nroSalida);
            $('#modalProcedencia').text(procedencia);
            $('#modalDeposito').text(deposito);
            $('#modalBalanza').text(balanza);
            $('#modalPlaca').text(placa);
            $('#modalTolva').text(tolva);
            $('#modalGuiaTransporte').text(guiaTransporte);
            $('#modalGuiaRemision').text(guiaRemision);
            $('#modalMuestreo').text(muestreo);
            $('#modalPreparacion').text(preparacion);
            $('#modalReqAnalisis').text(reqAnalisis);
            $('#modalDescuento').text(descuento);
            $('#modalFechaSalida').text(fechaSalida);
            $('#modalRetiro').text(retiro);
            $('#modalPesoExterno').text(pesoExterno);
            $('#modalLote').text(lote);
            $('#modalDescripcion').text(descripcion);
        });
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\SISTEMAINNOVA\resources\views/ingresos/lotizacion.blade.php ENDPATH**/ ?>