<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <?php echo e(__('TODAS LAS OPERACIONES REGISTRADAS')); ?>

                        
                            <a class="btn btn-sm btn-secondary" href="<?php echo e(route('adelantos.create')); ?>">
                                <?php echo e(__('CREAR NUEVO ADELANTOS')); ?>

                            </a>
                    </div>
                    <div class="card-body">
                        <table class="table table-striped table-hover">
                            <?php if(count($adelantos) > 0): ?>
                            <thead>
                                <tr>
                                    <th scope="col">
                                        <?php echo e(__('ID')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('FECHA CREACION')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('FACTURA')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('CLIENTE')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('MONTO')); ?>

                                    </th>
                                    <th scope="col">
                                        <?php echo e(__('ACCION')); ?>

                                    </th>

                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $adelantos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adelanto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                        <td scope="row">
                                            <?php echo e($adelanto->id); ?>

                                        </td>
                                        <td>
                                            <?php echo e(($adelanto->created_at)->format('d/m/Y - H:i:s')); ?>

                                        </td>   
                                        <td>
                                            <?php echo e($adelanto->nrofactura); ?>

                                        </td>   
                                        <td scope="row">
                                            <?php echo e($adelanto->cliente->datos_cliente); ?>

                                        </td>
                                        <td>
                                            <?php echo e($adelanto->total); ?>

                                        </td>

                                        <td> 
                                            <a href="<?php echo e(route('adelantos.show', $adelanto->id)); ?>" class="btn btn-secondary btn-sm">
                                                <?php echo e(__('VER')); ?>

                                            </a>
                                           
                                            <a href="<?php echo e(route('adelantos.edit', $adelanto->id)); ?>" class="btn btn-warning btn-sm">
                                                <?php echo e(__('EDITAR')); ?>

                                            </a>

                                            <form class="eliminar-adelantos" action="<?php echo e(route('adelantos.destroy', $adelanto->id)); ?>" method="POST" style="display: inline;">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="submit" class="btn btn-danger btn-sm">
                                                    <?php echo e(__('ELIMINAR')); ?>

                                                </button>
                                            </form>    
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <?php else: ?>
                                <tr>
                                    <td colspan="4" class="text-center text-muted">
                                        <?php echo e(__('No hay datos disponibles')); ?> 
                                    </td>
                                </tr>
                            <?php endif; ?>
                        </table>
                        <nav aria-label="Page navigation example">
                            <ul class="pagination justify-content-end">
                                <li class="page-item <?php echo e($adelantos->onFirstPage() ? 'disabled' : ''); ?>">
                                    <a class="page-link" href="<?php echo e($adelantos->previousPageUrl()); ?>">
                                        <?php echo e(__('Anterior')); ?>

                                    </a>
                                </li>
                                <?php for($i = 1; $i <= $adelantos->lastPage(); $i++): ?>
                                    <li class="page-item <?php echo e($adelantos->currentPage() == $i ? 'active' : ''); ?>">
                                        <a class="page-link" href="<?php echo e($adelantos->url($i)); ?>"><?php echo e($i); ?></a>
                                    </li>
                                <?php endfor; ?>
                                <li class="page-item <?php echo e($adelantos->hasMorePages() ? '' : 'disabled'); ?>">
                                    <a class="page-link" href="<?php echo e($adelantos->nextPageUrl()); ?>">
                                        <?php echo e(__('Siguiente')); ?>

                                    </a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('js'); ?>
        <script>
            <?php if(session('eliminar-registro') == 'Registro eliminado con éxito.'): ?>
                Swal.fire('Registro', 'eliminado exitosamente.', 'success')
            <?php endif; ?>
            <?php if(session('crear-registro') == 'Registro creado con éxito.'): ?>
                Swal.fire('Registro', 'creado exitosamente.', 'success')
            <?php endif; ?>
            <?php if(session('editar-registro') == 'Registro actualizado con éxito.'): ?>
                Swal.fire('Registro', 'actualizado exitosamente.', 'success')
            <?php endif; ?>
        </script>
        <script>
            $('.eliminar-registro').submit(function(e){
                e.preventDefault();
                Swal.fire({
                    title: '¿Eliminar registro?',
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: '¡Sí, continuar!',
                    cancelButtonText: 'Cancelar'
                }).then((result) => {
                    if(result.isConfirmed){
                        this.submit();
                    }
                })
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\SISTEMAINNOVA\resources\views/adelantos/index.blade.php ENDPATH**/ ?>