<?php $__env->startPush('css'); ?>
    <link href="<?php echo e(asset('css/content.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<div class="container">
    <header>
        <h1 class="text-center">CATEGORÍAS</h1>
        <div class="create-btn-container text-end">
            <a class="btn create-btn" href="#" data-toggle="modal" data-target="#ModalCreate">CREAR CATEGORÍA</a>
        </div>
    </header>
    <br>
    <div class="responsive-table mt-5">
        <table class="table table-hover table-dark">
            <thead>
                <tr>
                    <th scope="col" class="hidden">#</th>
                    <th scope="col">Código</th>
                    <th scope="col">Nombre</th>
                    <th scope="col">Categoría Padre</th>
                    <th scope="col">Fecha de Creación</th>          
                </tr>
            </thead>
            <tbody>
                <?php if(count($categorias) > 0): ?>
                    <?php $__currentLoopData = $categorias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $categoria): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $__env->make('accategorias.partials.category_row', ['categoria' => $categoria, 'level' => 0], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <tr>
                        <td colspan="7" class="text-center"><?php echo e(__('No hay datos disponibles...')); ?></td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>

        <!-- Pagination Links -->
        <div class="d-flex justify-content-between">
            <div><?php echo e($categorias->links('pagination::bootstrap-4')); ?></div>
            <div>Mostrando del <?php echo e($categorias->firstItem()); ?> al <?php echo e($categorias->lastItem()); ?> de <?php echo e($categorias->total()); ?> registros</div>
        </div>
    </div>
</div>
<?php echo $__env->make('accategorias.modal.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->startPush('js'); ?>
<script src="<?php echo e(asset('js/apireniecsunat.js')); ?>"></script>
<script>
    $(document).ready(function() {
      // Toggle subcategories on click
      $('.category-row').click(function() {
        close_open_toggle($(this));
      });
  
      function close_open_toggle(element) {
        var id = element.closest('tr').data('id');
        var subcategories = $('tr[data-parent-id="' + id + '"]');
        subcategories.toggle(); // Toggle visibility of subcategories
  
        // If hiding, also hide all descendants
        if (!subcategories.is(':visible')) {
          subcategories.each(function() {
            hide_all_descendants($(this));
          });
        }
      }
  
      function hide_all_descendants(element) {
        var id = element.closest('tr').data('id');
        var subcategories = $('tr[data-parent-id="' + id + '"]');
        subcategories.hide(); // Hide subcategories
        subcategories.each(function() {
          hide_all_descendants($(this)); // Recursively hide all descendants
        });
      }
  
      // Initialize by hiding all subcategories
      $('.category-row').each(function() {
        hide_all_descendants($(this));
      });
  
      <?php if(session('status')): ?>
        Swal.fire({
          title: 'Success',
          text: '<?php echo e(session('status')); ?>',
          icon: 'success'
        });
      <?php elseif(session('error')): ?>
        Swal.fire({
          title: 'Error',
          text: '<?php echo e(session('error')); ?>',
          icon: 'error'
        });
      <?php endif; ?>
    });
  </script>
  
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\innova-system-ofic\resources\views/accategorias/index.blade.php ENDPATH**/ ?>