<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <?php echo e(__('TODAS LAS OPERACIONES REGISTRADAS')); ?>

                        <a class="btn btn-sm btn-secondary" href="<?php echo e(route('liquidaciones.create')); ?>">
                            <?php echo e(__('CREAR NUEVO LIQUIDACIONES')); ?>

                        </a>
                    </div>
                    <div class="card-body">
                        <!-- Formulario de búsqueda -->
                        <form method="GET" action="<?php echo e(route('liquidaciones.index')); ?>" class="mb-3">
                            <div class="input-group">
                                <input type="text" name="search" value="<?php echo e(request('search')); ?>" class="form-control" placeholder="Buscar por muestra, cliente, peso o lote">
                                <div class="input-group-append">
                                    <button class="btn btn-secondary" type="submit"><?php echo e(__('Buscar')); ?></button>
                                </div>
                            </div>
                        </form>

                        <table class="table table-striped table-hover text-center mb-0">
                            <?php if(count($liquidaciones) > 0): ?>
                                <thead>
                                    <tr>
                                        <th scope="col"><?php echo e(__('ID')); ?></th>
                                        <th scope="col"><?php echo e(__('MUESTRA')); ?></th>
                                        <th scope="col"><?php echo e(__('CLIENTE')); ?></th>
                                        <th scope="col"><?php echo e(__('EMPRESA')); ?></th>
                                        <th scope="col"><?php echo e(__('PESO')); ?></th>
                                        <th scope="col"><?php echo e(__('LOTE')); ?></th>
                                        <th scope="col"><?php echo e(__('PRODUCTO')); ?></th>
                                        <th scope="col"><?php echo e(__('TOTAL')); ?></th>
                                        <th scope="col"><?php echo e(__('CREADO POR')); ?></th>
                                        <th scope="col"><?php echo e(__('ACCIONES')); ?></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $liquidaciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $liquidacion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($liquidacion->id); ?></td>
                                        <td><?php echo e($liquidacion->muestra->codigo); ?></td>
                                        <td><?php echo e($liquidacion->cliente->datos_cliente); ?></td>
                                        <td><?php echo e($liquidacion->cliente->razon_social); ?></td>
                                        <td><?php echo e($liquidacion->peso); ?></td>
                                        <td><?php echo e($liquidacion->lote); ?></td>
                                        <td><?php echo e($liquidacion->producto); ?></td>
                                        <td><?php echo e($liquidacion->total); ?></td>
                                        <td><?php echo e($liquidacion->user ? $liquidacion->user->name : 'Desconocido'); ?></td>
                                        <td>
                                            <a href="<?php echo e(route('liquidaciones.show', $liquidacion->id)); ?>" class="btn btn-secondary btn-sm"><?php echo e(__('VER')); ?></a>
                                            <form action="<?php echo e(route('duplicate', $liquidacion->id)); ?>" method="POST" style="display:inline;">
                                                <?php echo csrf_field(); ?>
                                                <button type="submit" class="btn btn-success btn-sm"><?php echo e(__('CIERRE')); ?></button>
                                            </form>
                                            <a href="<?php echo e(route('liquidaciones.edit', $liquidacion->id)); ?>" class="btn btn-warning btn-sm"><?php echo e(__('EDITAR')); ?></a>
                                            <a href="<?php echo e(route('liquidaciones.print', $liquidacion->id)); ?>" class="btn btn-primary btn-sm"><?php echo e(__('IMPRIMIR')); ?></a>
                                            <form action="<?php echo e(route('liquidaciones.destroy', $liquidacion->id)); ?>" method="POST" style="display:inline;">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="submit" class="btn btn-danger btn-sm"><?php echo e(__('ELIMINAR')); ?></button>
                                            </form>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            <?php else: ?>
                                <tr>
                                    <td colspan="10" class="text-center text-muted"><?php echo e(__('No hay datos disponibles')); ?></td>
                                </tr>
                            <?php endif; ?>
                        </table>

                        <nav aria-label="Page navigation example">
                            <ul class="pagination justify-content-end">
                                <li class="page-item <?php echo e($liquidaciones->onFirstPage() ? 'disabled' : ''); ?>">
                                    <a class="page-link" href="<?php echo e($liquidaciones->previousPageUrl()); ?>"><?php echo e(__('Anterior')); ?></a>
                                </li>
                                <?php for($i = 1; $i <= $liquidaciones->lastPage(); $i++): ?>
                                    <li class="page-item <?php echo e($liquidaciones->currentPage() == $i ? 'active' : ''); ?>">
                                        <a class="page-link" href="<?php echo e($liquidaciones->url($i)); ?>"><?php echo e($i); ?></a>
                                    </li>
                                <?php endfor; ?>
                                <li class="page-item <?php echo e($liquidaciones->hasMorePages() ? '' : 'disabled'); ?>">
                                    <a class="page-link" href="<?php echo e($liquidaciones->nextPageUrl()); ?>"><?php echo e(__('Siguiente')); ?></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('js'); ?>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.querySelectorAll('form[id^="duplicate-form-"]').forEach(form => {
                form.addEventListener('submit', function(event) {
                    event.preventDefault();
                    
                    var button = this.querySelector('button[type="submit"]');
                    button.style.display = 'none';

                    var xhr = new XMLHttpRequest();
                    xhr.open('POST', this.action, true);
                    xhr.setRequestHeader('X-CSRF-TOKEN', this.querySelector('input[name="_token"]').value);
                    xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                    
                    xhr.onload = function() {
                        if (xhr.status >= 200 && xhr.status < 300) {
                            var response = JSON.parse(xhr.responseText);
                            alert(response.success ? 'Registro duplicado exitosamente!' : 'Error: ' + response.error);
                        } else {
                            alert('Error en la solicitud: ' + xhr.statusText);
                        }
                        button.style.display = 'inline-block';
                    };
                    
                    xhr.send(new URLSearchParams(new FormData(this)).toString());
                });
            });
        });
    </script>
    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\innova-system-of\resources\views/liquidaciones/index.blade.php ENDPATH**/ ?>