<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="card">
            <div class="card-header">
                <div class="row justify-content-between">
                    <div class="col-md-6">
                        <h6 class="mt-2">
                            <?php echo e(__('RESUMEN DE ADELANTOS')); ?>

                        </h6>
                    </div>
                    <div class="col-md-6 text-end">
                        <a class="btn btn-danger btn-sm" href="<?php echo e(route('resumens.index')); ?>">
                            <?php echo e(__('VOLVER')); ?>

                        </a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <form method="POST" action="<?php echo e(route('resumens.store')); ?>">
                    <?php echo csrf_field(); ?>

                    <div class="form-group col-md-3 g-3">
                        <label for="fecha_resumen" class="text-muted">
                            <?php echo e(__('FECHA DE RESUMEN')); ?>

                        </label>
                        <span class="text-danger">(*)</span>
                        <input type="datetime-local" name="fecha_resumen"
                            placeholder="Ingrese la fecha de resumen de adelantos" class="form-control">
                    </div>
                    <P>
                    <div class="form-group col-md-12 g-3 mb-2">
                        <label for="seleccion_cliente" class="text-muted"><?php echo e(__('SELECCIONE CLIENTE PARA RESUMEN DE  ADELANTO')); ?></label>
                        <select id="seleccion_cliente" name="seleccion_cliente" class="form-control">
                            <option value="">Seleccione un cliente</option>
                            <?php $__currentLoopData = $clientes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cliente): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($cliente->id); ?>" data-total="<?php echo e($cliente->adelantos_sum_total); ?>">
                                    <?php echo e($cliente->documento_cliente); ?> - <?php echo e($cliente->datos_cliente); ?> - <?php echo e($cliente->ruc_empresa); ?> - <?php echo e($cliente->razon_social); ?>

                                </option>
                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-12 g-3 mb-2" id="adelantos_container" style="display: none;">
                        <label class="text-muted"><?php echo e(__('ADELANTOS DEL CLIENTE SELECCIONADO')); ?></label><br>
                                <?php $__currentLoopData = $adelantosDisponibles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adelanto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="adelanto-item" data-cliente-id="<?php echo e($adelanto->cliente_id); ?>">
                <input type="checkbox" id="adelanto_<?php echo e($adelanto->id); ?>" name="adelantos[]" value="<?php echo e($adelanto->id); ?>"
                    data-total="<?php echo e($adelanto->total); ?>" data-factura="<?php echo e($adelanto->nrofactura); ?>">
                <label for="adelanto_<?php echo e($adelanto->id); ?>">
                    CLIENTE: <?php echo e($adelanto->cliente->datos_cliente); ?> --- FACTURA: <?php echo e($adelanto->nrofactura); ?> ---- TOTAL: <?php echo e($adelanto->total); ?>

                </label>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <div class="form-group col-md-12 g-3 mb-2">
                            <button type="button" class="btn btn-sm btn-primary seleccionar-todo">Seleccionar Todo</button>
                        </div>
                    </div>

                    <div class="form-group col-md-12 g-3">
                        <label for="suma_total" class="text-muted">
                            <?php echo e(__('SUMA TOTAL SELECCIONADA')); ?>

                        </label>
                        <input type="text" id="suma_total" name="suma_total" class="form-control" readonly>
                        <div class="col-md-12 text-end g-3 mt-3">
                            <button type="submit" class="btn btn-primary text-end mt-2">GUARDAR RESUMEN</button>
                        </div>
        </div>
    </div>
    <?php $__env->startPush('js'); ?>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Capturar el formulario por su atributo 'action'
            const form = document.querySelector('form[action="<?php echo e(route('resumens.store')); ?>"]');

            // Agregar evento al formulario
            form.addEventListener('submit', function(e) {
                e.preventDefault(); // Prevenir el envío automático del formulario

                Swal.fire({
                    title: '¿CREAR RESUMEN?',
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: '¡Si, confirmar!',
                    cancelButtonText: 'Cancelar'
                }).then((result) => {
                    if (result.isConfirmed) {
                        // Envía el formulario si se confirma
                        form.submit();
                    }
                });
            });
        });
    </script>
    <script>

function actualizarAdelantosMostrados(adelantosSeleccionados) {
    adelantosSeleccionados.forEach(function(adelantoId) {
        const adelantoElement = document.querySelector('.adelanto-item[data-cliente-id="' + adelantoId + '"]');
        if (adelantoElement) {
            adelantoElement.style.display = 'none';
        }
    });
}
    document.addEventListener('DOMContentLoaded', function() {
        // Obtener elementos DOM
        const seleccionCliente = document.getElementById('seleccion_cliente');
        const adelantosContainer = document.getElementById('adelantos_container');
        const adelantos = adelantosContainer.querySelectorAll('.adelanto-item');
        const sumaTotalInput = document.getElementById('suma_total');

        // Función para seleccionar todos los checkboxes del cliente seleccionado
        function seleccionarTodo() {
            adelantos.forEach(function(adelanto) {
                const clienteId = seleccionCliente.value;
                const adelantoClienteId = adelanto.getAttribute('data-cliente-id');
                const checkbox = adelanto.querySelector('input[type="checkbox"]');
                if (clienteId && clienteId == adelantoClienteId) {
                    checkbox.checked = true;
                } else {
                    checkbox.checked = false;
                }
            });

            // Calcular y actualizar la suma total
            calcularSumaTotal();
        }

        // Escuchar cambios en la selección de cliente
        seleccionCliente.addEventListener('change', function() {
            // Mostrar u ocultar adelantos según el cliente seleccionado
            const clienteId = seleccionCliente.value;
            adelantosContainer.style.display = clienteId ? 'block' : 'none';
            adelantos.forEach(function(adelanto) {
                const adelantoClienteId = adelanto.getAttribute('data-cliente-id');
                adelanto.style.display = clienteId == adelantoClienteId ? 'block' : 'none';
            });

            // Resetear la suma total al seleccionar un cliente nuevo
            sumaTotalInput.value = '0.00';
        });

        // Escuchar cambios en los checkboxes para actualizar la suma total
        adelantos.forEach(function(adelanto) {
            const checkbox = adelanto.querySelector('input[type="checkbox"]');
            checkbox.addEventListener('change', function() {
                calcularSumaTotal();
            });
        });

        // Escuchar clics en el botón "Seleccionar Todo"
        const seleccionarTodoBtn = adelantosContainer.querySelector('.seleccionar-todo');
        seleccionarTodoBtn.addEventListener('click', function() {
            seleccionarTodo();
        });

        // Función para calcular y actualizar la suma total
        function calcularSumaTotal() {
            let sumaTotal = 0;
            adelantos.forEach(function(item) {
                const isChecked = item.querySelector('input[type="checkbox"]').checked;
                if (isChecked) {
                    sumaTotal += parseFloat(item.querySelector('input[type="checkbox"]').getAttribute('data-total'));
                }
            });
            sumaTotalInput.value = sumaTotal.toFixed(2); // Formatea la suma total a dos decimales si es necesario
        }
    });
</script>
<script>
    function actualizarAdelantosMostrados(adelantosSeleccionados) {
        adelantosSeleccionados.forEach(function(adelantoId) {
            const adelantoElement = document.querySelector('.adelanto-item[data-cliente-id="' + adelantoId + '"]');
            if (adelantoElement) {
                adelantoElement.style.display = 'none';
            }
        });
    }

    document.addEventListener('DOMContentLoaded', function() {
        // Obtener elementos DOM y funciones existentes
        const adelantosContainer = document.getElementById('adelantos_container');
        const adelantos = adelantosContainer.querySelectorAll('.adelanto-item');
        const sumaTotalInput = document.getElementById('suma_total');

        // Función para calcular y actualizar la suma total
        function calcularSumaTotal() {
            let sumaTotal = 0;
            const adelantosSeleccionados = [];

            adelantos.forEach(function(item) {
                const checkbox = item.querySelector('input[type="checkbox"]');
                if (checkbox.checked) {
                    sumaTotal += parseFloat(checkbox.getAttribute('data-total'));
                    adelantosSeleccionados.push(item.getAttribute('data-cliente-id'));
                }
            });

            sumaTotalInput.value = sumaTotal.toFixed(2); // Formatea la suma total a dos decimales si es necesario
            actualizarAdelantosMostrados(adelantosSeleccionados);
        }

        
        
    });
    
</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/innovaminingsys/public_html/innova-system-ofic/resources/views/resumens/create.blade.php ENDPATH**/ ?>