<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo e(__('DETALLE DE INGRESO')); ?></title>
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>"> <!-- Estilos de Bootstrap -->
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 10px;
            color: #333;
            background-color: #f9f9f9;
        }
        h2 {
            text-align: center;
            color: #000000;
        }
        .logo {
            text-align: center;
            margin-bottom: 20px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        th, td {
            border: 2px solid #080707;
            text-align: left;
            padding: 5px;
        }
        th {
            background-color: #be748b;
            color: white;
        }
        .half {
            width: 30%;
        }
        .print-button {
            display: block;
            margin: 20px auto;
            padding: 10px 20px;
            background-color: #be748b;
            color: black;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            font-size: 16px;
        }
        .print-button:hover {
            background-color: #a7627a;
        }
        @media print {
            .print-button {
                display: none; /* Ocultar el botón al imprimir */
            }
        }
    </style>
</head>
<body>
    <div class="logo">
        <span><img src="<?php echo e(asset('images/innovalogo.png')); ?>" alt="" style="width: 100px;"></span>
    </div>
   
    <h2><?php echo e(__('INNOVA MINNING COMPANY E.I.R.L')); ?></h2>
    <h3 style="text-align: center;"><?php echo e(__('DETALLE DE INGRESO ')); ?></h3>
    <table>
        <tr>
            <th class="half"><?php echo e(__('CODIGO:')); ?></th>
            <td class="half"><?php echo e($ingreso->codigo); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('FECHA DE INGRESO:')); ?></th>
            <td class="half"><?php echo e($ingreso->fecha_ingreso); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('PRODUCTO:')); ?></th>
            <td class="half"><?php echo e($ingreso->estado); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('REFERENCIA LOTE:')); ?></th>
            <td class="half"><?php echo e($ingreso->ref_lote); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('DNI / RUC:')); ?></th>
            <td class="half"><?php echo e($ingreso->identificador); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('NOMBRE / RAZONSOCIAL:')); ?></th>
            <td class="half"><?php echo e($ingreso->nom_iden); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('PESO EXTERNO:')); ?></th>
            <td class="half"><?php echo e($ingreso->pesoexterno); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('PESO TOTAL:')); ?></th>
            <td class="half"><?php echo e($ingreso->peso_total); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('NUMERO DE TICKET:')); ?></th>
            <td class="half"><?php echo e($ingreso->NroSalida); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('PLACA:')); ?></th>
            <td class="half"><?php echo e($ingreso->placa); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('PROCEDENCIA:')); ?></th>
            <td class="half"><?php echo e($ingreso->procedencia); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('DEPOSITO:')); ?></th>
            <td class="half"><?php echo e($ingreso->deposito); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('BALANZA:')); ?></th>
            <td class="half"><?php echo e($ingreso->balanza); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('TOLVA:')); ?></th>
            <td class="half"><?php echo e($ingreso->tolva); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('GUIA TRANSPORTE:')); ?></th>
            <td class="half"><?php echo e($ingreso->guia_transporte); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('GUIA REMISION:')); ?></th>
            <td class="half"><?php echo e($ingreso->guia_remision); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('MUESTREO:')); ?></th>
            <td class="half"><?php echo e($ingreso->muestreo); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('PREPARACION:')); ?></th>
            <td class="half"><?php echo e($ingreso->preparacion); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('REQ. ANALISIS:')); ?></th>
            <td class="half"><?php echo e($ingreso->req_analisis); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('DESCUENTO:')); ?></th>
            <td class="half"><?php echo e($ingreso->descuento); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('FECHA SALIDA:')); ?></th>
            <td class="half"><?php echo e($ingreso->fecha_salida); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('RETIRO:')); ?></th>
            <td class="half"><?php echo e($ingreso->retiro); ?></td>
        </tr>
        <tr>
            <th class="half"><?php echo e(__('LOTE:')); ?></th>
            <td class="half"><?php echo e($ingreso->lote); ?></td>
        </tr>
    </table>

    <button class="print-button" onclick="window.print();"><?php echo e(__('Imprimir')); ?></button>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\SISTEMAINNOVA\resources\views/ingresos/print.blade.php ENDPATH**/ ?>