

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <?php echo e(__('TODAS LAS OPERACIONES REGISTRADAS')); ?>

                        
                        <a class="btn btn-sm btn-secondary" href="<?php echo e(route('ingresos.create')); ?>">
                            <?php echo e(__('CREAR NUEVO INGRESOS')); ?>

                        </a>
                    </div>
                    <div class="card-body">
                        
                        <table class="table table-striped table-hover text-center mb-0">
                            <?php if(count($ingresos) > 0): ?>
                            <thead>
                                <tr>
                                    <th scope="col"><?php echo e(__('ID')); ?></th>
                                    <th scope="col"><?php echo e(__('CODIGO')); ?></th>
                                    <th scope="col"><?php echo e(__('DNI / RUC')); ?></th>
                                    <th scope="col"><?php echo e(__('DATOS')); ?></th>
                                    <th scope="col"><?php echo e(__('FECHA')); ?></th>
                                    <th scope="col"><?php echo e(__('REF.LOTE ')); ?></th>
                                    <th scope="col"><?php echo e(__('PESO TOTAL')); ?></th>
                                    <th scope="col"><?php echo e(__('CREADO POR')); ?></th>
                                    <th scope="col"><?php echo e(__('ACCION')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $ingresos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ingreso): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td scope="row"><?php echo e($ingreso->id); ?></td>
                                    <td scope="row"><?php echo e($ingreso->codigo); ?></td>
                                    <td scope="row"><?php echo e($ingreso->identificador); ?></td>
                                    <td scope="row"><?php echo e($ingreso->nom_iden); ?></td>
                                    <td scope="row"><?php echo e($ingreso->fecha_ingreso); ?></td>
                                    <td scope="row"><?php echo e($ingreso->ref_lote); ?></td>
                                    <td scope="row"><?php echo e($ingreso->peso_total); ?></td>
                                    <td scope="row"><?php echo e($ingreso->user ? $ingreso->user->name : 'Desconocido'); ?></td>

                                    <td> 
                                        <a href="<?php echo e(route('ingresos.show', $ingreso->id)); ?>" class="btn btn-secondary btn-sm">
                                            <?php echo e(__('VER')); ?>

                                        </a>
                                        <a href="<?php echo e(route('ingresos.edit', $ingreso->id)); ?>" class="btn btn-warning btn-sm">
                                            <?php echo e(__('EDITAR')); ?>

                                        </a>
                                        <form action="<?php echo e(route('ingresos.destroy', $ingreso->id)); ?>" method="POST" class="eliminar-liquidaciones" style="display:inline;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="btn btn-danger btn-sm">ELIMINAR</button>
                                        </form>
                                        <a class="btn btn-primary btn-sm" href="<?php echo e(route('ingresos.imprimir', $ingreso->id)); ?>">
                                            <?php echo e(__('IMPRIMIR')); ?>

                                        </a>
                                        <a href="<?php echo e(route('lotizacion')); ?>" class="btn" style="background-color: green; color: white; font-size: 0.8rem; padding: 0.25rem 0.5rem;">VER LOTIZACION</a>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <?php else: ?>
                                <tr>
                                    <td colspan="10" class="text-center text-muted"><?php echo e(__('No hay datos disponibles')); ?></td>
                                </tr>
                            <?php endif; ?>
                        </table>
                        <nav aria-label="Page navigation example">
                            <ul class="pagination justify-content-end">
                                <li class="page-item <?php echo e($ingresos->onFirstPage() ? 'disabled' : ''); ?>">
                                    <a class="page-link" href="<?php echo e($ingresos->previousPageUrl()); ?>"><?php echo e(__('Anterior')); ?></a>
                                </li>
                                <?php for($i = 1; $i <= $ingresos->lastPage(); $i++): ?>
                                    <li class="page-item <?php echo e($ingresos->currentPage() == $i ? 'active' : ''); ?>">
                                        <a class="page-link" href="<?php echo e($ingresos->url($i)); ?>"><?php echo e($i); ?></a>
                                    </li>
                                <?php endfor; ?>
                                <li class="page-item <?php echo e($ingresos->hasMorePages() ? '' : 'disabled'); ?>">
                                    <a class="page-link" href="<?php echo e($ingresos->nextPageUrl()); ?>"><?php echo e(__('Siguiente')); ?></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->startPush('js'); ?>
        <script>
            <?php if(session('eliminar-registro') == 'Registro eliminado con éxito.'): ?>
                Swal.fire('Registro', 'eliminado exitosamente.', 'success')
            <?php endif; ?>
            <?php if(session('crear-registro') == 'Registro creado con éxito.'): ?>
                Swal.fire('Registro', 'creado exitosamente.', 'success')
            <?php endif; ?>
            <?php if(session('editar-registro') == 'Registro actualizado con éxito.'): ?>
                Swal.fire('Registro', 'actualizado exitosamente.', 'success')
            <?php endif; ?>
        </script>
        <script>
            document.addEventListener('DOMContentLoaded', function() {
                document.querySelectorAll('.eliminar-liquidaciones').forEach(form => {
                    form.addEventListener('submit', function(e){
                        e.preventDefault();
                        Swal.fire({
                            title: '¿Eliminar Ingreso?',
                            icon: 'warning',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: '¡Sí, continuar!',
                            cancelButtonText: 'Cancelar'
                        }).then((result) => {
                            if (result.isConfirmed) {
                                this.submit(); // Envía el formulario si se confirma
                            }
                        });
                    });
                });
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\SISTEMAINNOVA\resources\views/ingresos/index.blade.php ENDPATH**/ ?>