<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=Nunito" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/habibmhamadi/multi-select-tag@2.0.1/dist/css/multi-select-tag.css">
    <!-- Scripts -->
    <?php echo app('Illuminate\Foundation\Vite')(['resources/sass/app.scss', 'resources/js/app.js']); ?>

    <!--CSS-->
    <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/structure.css')); ?>" rel="stylesheet">
    <?php echo $__env->yieldPushContent('css'); ?>

</head>
<body>

    
    <div id=" navbar navbar-light app flex min-h-screen division shadow-sm">
        <aside id=" default-sidebar" class="sidebar w-64 h-screen bg-gray-50 dark:bg-gray-800 transition-transform">
            <div class="sidebar-in h-full px-3 py-4 overflow-y-auto">
                <ul class="text-center space-y-2">
                <?php if(auth()->guard()->check()): ?>



                    <li class="title-sidebar">
                        <a href="<?php echo e(route('acactivos.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                        <span><img src="<?php echo e(asset('images/innova.svg')); ?>" alt="" style="width: 50px"></span>
                        
                        <span class="ms-3">Innova App</span>
                        </a>
                    </li>  

                    
                    <li>
                        <a href="<?php echo e(route('acactivos.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                        
                            <div class="sidebar-box">

                        <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> ACTIVOS
                        </button></span>
                        </div>
                        </a>
                    </li>

                    <li>
                        <a href="<?php echo e(route('accategorias.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                            
                                <div class="sidebar-box">
        
                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> CATEGORÍAS
                            </button></span>
                            </div>
                        </a>
                        </li>

                    <li>

                    

                    <a href="<?php echo e(route('areas.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                        <div class="sidebar-box">
        
                            <span class=" ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> ÁREAS
                            </button></span>
                        </div>
                        </a>
                    </li>

                    <li>
                        <a href="<?php echo e(route('empleados.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                        
                        <div class="sidebar-box">
                        <span class=" ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> EMPLEADOS
                        </button></span>
                        </div>
                    </a>
                    </li>



                    <li>
                        <a href="<?php echo e(route('posiciones.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                        <div class="sidebar-box">
    
                        <span class=" ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> POSICIONES
                        </button></span>
                        </div>
                        </a>
                    </li>
                    <li>
                        <a href="<?php echo e(route('clientes.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                            
                                <div class="sidebar-box">
        
                            <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> CLIENTES
                            </button></span>
                            </div>
                        </a>
                        </li>
                    <li> 
                        <li>
                            <a href="<?php echo e(route('liquidaciones.index')); ?>" class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                                
                                    <div class="sidebar-box">
            
                                <span class="ms-3 whitespace-nowrap"><button class="link-sidebar-btn"> LIQUIDACIONES
                                </button></span>
                                </div>
                            </a>
                            </li>
    
                        <li> 
                    
                    
                    
                <?php endif; ?>
                <?php if(Auth::check()): ?>
                <?php else: ?>
                <li class="innova-t">Innova app</li>

                <?php endif; ?>

               </ul>
            </div>
        </aside>
        
         





        

        <main class="flex-1">
            
            <nav class="navbar p-3 navbar-expand-md navbar-light bg-white shadow-sm">
                    <a class="navbar-brand" href="<?php echo e(route('home')); ?>">
                        <?php echo e(config('app.name', 'Laravel')); ?>

                    </a>
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                        <span class="navbar-toggler-icon"></span>
                    </button>
    
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Left Side Of Navbar -->
                        <ul class="navbar-nav me-auto">
                            <?php if(auth()->guard()->check()): ?>
                                
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('users')); ?>">
                                        <?php echo e(__('USUARIOS')); ?>

                                    </a>
                                </li>
                                <?php endif; ?>

                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('liquidar')): ?>
                                    
    
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('clientes')); ?>">
                                        <?php echo e(__('CLIENTES')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('muestras')); ?>">
                                        <?php echo e(__('MUESTRAS')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('requerimientos')); ?>">
                                        <?php echo e(__('REQUERIMIENTOS')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('liquidaciones')); ?>">
                                        <?php echo e(__('LIQUIDACIONES')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('adelantos')); ?>">
                                        <?php echo e(__('ADELANTOS')); ?>

                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(url('resumens')); ?>">
                                        <?php echo e(__('RESUMEN ADELANTOS')); ?>

                                    </a>
                                </li>

                                <?php endif; ?>

                            <?php endif; ?>
                        </ul>
    
                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ms-auto">
                            <!-- Authentication Links -->
                            <?php if(auth()->guard()->guest()): ?>
                                <?php if(Route::has('login')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                    </li>
                                <?php endif; ?>
    
                                
                            <?php else: ?>
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        <?php echo e(Auth::user()->name); ?>

                                    </a>
                                   
                                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                        
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                           onclick="event.preventDefault();
                                                         document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Logout')); ?>

                                        </a>
    
                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                    
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
            </nav>
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>      
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>



    <script src="https://cdn.jsdelivr.net/gh/habibmhamadi/multi-select-tag@2.0.1/dist/js/multi-select-tag.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        $(document).ready(function() {
            function isRucOrDni(value) {
                return value.length === 8 || value.length === 11;
            }

            function buscarDocumento(url, inputId, datosId) {
                var inputValue = $(inputId).val();
                var tipoDocumento = inputValue.length === 8 ? 'dni' : 'ruc';

                // Realizar la solicitud AJAX al controlador
                $.ajax({
                    url: url,
                    type: 'POST',
                    data: {
                        _token: '<?php echo e(csrf_token()); ?>',
                        documento: inputValue,
                        tipo_documento: tipoDocumento
                    },
                    success: function(response) {
                        console.log('API Response:', response);
                        // Manejar la respuesta del controlador
                        if (tipoDocumento === 'dni') {
                            $(datosId).val(response.nombres + ' ' + response.apellidoPaterno + ' ' + response.apellidoMaterno);
                        } else {
                            $(datosId).val(response.razonSocial);
                        }

                        $(datosId).removeClass('is-invalid').addClass('is-valid');
                    },
                    error: function(xhr, status, error) {
                        // Manejar el error de la solicitud
                        console.log(xhr.responseText);
                        $(datosId).val('');
                        $(datosId).removeClass('is-valid').addClass('is-invalid');
                    }
                });
            }

            $('#buscar_cliente_btn').click(function() {
                buscarDocumento('<?php echo e(route('buscar.documento')); ?>', '#documento_cliente', '#datos_cliente');
            });

            $('#buscar_empresa_btn').click(function() {
                buscarDocumento('<?php echo e(route('buscar.documento')); ?>', '#ruc_empresa', '#razon_social');
            });

            

            // Validar ruc o dni y cambiar el borde a verde al llenar los campos
            $('.documento-input').on('input', function() {
                var value = $(this).val();
                var isValid = isRucOrDni(value);

                $(this).toggleClass('is-valid', isValid);
                $(this).toggleClass('is-invalid', !isValid);
            });

            // Cambiar el borde a verde cuando se llenen los campos datos_cliente
            $('.datos-input').on('input', function() {
                var value = $(this).val();
                $(this).toggleClass('is-valid', value.trim().length > 0);
                $(this).toggleClass('is-invalid', value.trim().length === 0);
            });
        });
    </script>
    <?php echo $__env->yieldPushContent('js'); ?>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\innova-system-main (2)\innova-system-main\resources\views/layouts/app.blade.php ENDPATH**/ ?>